# qemu-adm

Script qui permet...

## Liste des arguments

![Liste des arguments](./liste_des_arguments.svg "Liste des arguments")

Image générée avec l'[exention](https://github.com/ACTom/files_mindmap) `Mind Map` de Nextcloud qui s'appuie sur l'application [Kityminder](https://github.com/fex-team/kityminder-editor) ([Traduction en Anglais](https://github.com/ACTom/kityminder-editor)).



## Codes d'erreurs

|Code|Déscription                                              |
|----|---------------------------------------------------------|
|0   |la commande s'est terminée sans erreur                   |
|1   |une erreur non spécifiée est survenue                    |
|2   |une option requise est manquante                         |
|3   |une option unique a été spécifiée plusieurs fois         |
|4   |la machine virtuelle existe déjà à l'emplacement spécifié|
|5   |le paramètre d'une option est manquant                   |
|6   |dépendance manquante                                     |
|7   |initialisation de l'environement impossible              |
|8   |erreur d'initialisation du réseau                        |
|9   |erreur de formatage du fichier de configuration          |

## Dévelopement

### Mise en place
Nous avons démarré une machine virtuelle pour réaliser nos tests. Pour transférer le script nous avons créé cet alias : 
```
alias qemu-adm-dev='cd ~/Projets/qemu-adm/ && rsync -av --delete-after --progress qemu-adm root@10.2.22.203:/usr/local/bin/'
```